SortImage.py
"""
Usage:
python SortImage.py dirname
"""
import gdcm
import sys
def PrintProgress(object, event):
assert event == "ProgressEvent"
print "Progress:", object.GetProgress()
def MySort(ds1, ds2):
# compare ds1
return False
if __name__ == "__main__":
dirname = sys.argv[1]
d = gdcm.Directory()
d.Load( dirname )
print d
sorter = gdcm.Sorter()
sorter.SetSortFunction( MySort )
#sorter.AddObserver( "ProgressEvent", PrintProgress )
sorter.Sort( d.GetFilenames() )
print "Sorter:"
print sorter
gdcm::Directory
Class for manipulation directories.
Definition gdcmDirectory.h:43
gdcm::Sorter
Sorter.
Definition gdcmSorter.h:40